Update Integration
curl --request PATCH \
--url https://api-qa.interactly.ai/integrations/v2/integrations/{integration_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"logicalId": "<string>",
"name": "<string>",
"status": "active",
"access": "team",
"config": {
"scope": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"tokenType": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"connectedAt": "2023-11-07T05:31:56Z",
"renewedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"provider": "microsoft",
"authType": "oauth",
"authUserEmail": "<string>",
"authUserName": "<string>"
},
"timezone": "UTC"
}
'import requests
url = "https://api-qa.interactly.ai/integrations/v2/integrations/{integration_id}"
payload = {
"logicalId": "<string>",
"name": "<string>",
"status": "active",
"access": "team",
"config": {
"scope": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"tokenType": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"connectedAt": "2023-11-07T05:31:56Z",
"renewedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"provider": "microsoft",
"authType": "oauth",
"authUserEmail": "<string>",
"authUserName": "<string>"
},
"timezone": "UTC"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
logicalId: '<string>',
name: '<string>',
status: 'active',
access: 'team',
config: {
scope: '<string>',
accessToken: '<string>',
refreshToken: '<string>',
tokenType: '<string>',
expiresAt: '2023-11-07T05:31:56Z',
connectedAt: '2023-11-07T05:31:56Z',
renewedAt: '2023-11-07T05:31:56Z',
errorMessage: '<string>',
provider: 'microsoft',
authType: 'oauth',
authUserEmail: '<string>',
authUserName: '<string>'
},
timezone: 'UTC'
})
};
fetch('https://api-qa.interactly.ai/integrations/v2/integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration": {
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"provider": "microsoft",
"name": "<string>",
"status": "active",
"access": "team",
"config": {
"scope": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"tokenType": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"connectedAt": "2023-11-07T05:31:56Z",
"renewedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"provider": "microsoft",
"authType": "oauth",
"authUserEmail": "<string>",
"authUserName": "<string>"
},
"timezone": "UTC"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations V2
Update Integration
PATCH
/
integrations
/
v2
/
integrations
/
{integration_id}
Update Integration
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Unique identifier for the integration
Integration provider type (e.g., microsoft, google, slack).
Available options:
microsoft, google, athena, ecw, slack, okta Friendly name for the integration (e.g., 'Google Calendar Sync').
Status of the integration. Defaults to 'active'.
Available options:
active, inactive Access level for the integration (personal, team, or system).
Available options:
personal, team, system Microsoft OAuth-based integration configuration.
- Microsoft Integration
- Athena Integration
- ECW Integration
- Google Integration
- Slack Integration
- Okta Integration
Show child attributes
Show child attributes
IANA timezone string (e.g., 'America/New_York', 'Asia/Kolkata').
Response
Successful Response
Response model for a single integration. Contains a IntegrationsModel object.
Single integration object
Show child attributes
Show child attributes
⌘I